const $ = require("jquery");
const {getUrlArgObject} = require('./promise.js');

$(function(){
  let tipsMsg = JSON.parse(getUrlArgObject("tipsMsg")) || {}
 
  let billMsgList = tipsMsg.billMsgList || []
  let highRiskList = tipsMsg.highRiskList || []
  let criticalValList = tipsMsg.criticalValList || []
  let noteList = tipsMsg.noteList || 
  renderBillingPush(billMsgList,'开单合理性')
  renderBillingPush(highRiskList,'高风险提示')
  renderBillingPush(criticalValList,'危急值提醒')
  renderBillingPush(noteList,'检查注意事项')
  function renderBillingPush(list,name){
    if(list.length === 0){
      return
    }
    let str = `<p>${name}</p>`
    for(let i = 0; i < list.length; i++){
      str+= `<div>${list[i].msg}</div>`
    }
    $(".content").append(str)
  }
})